# Package edu.isi.pegasus.planner.refiner.cleanup

Interface Summary
CleanupImplementation: The interface that defines how the cleanup job is invoked and created.
CleanupStrategy: The interface that defines how the cleanup job is invoked and created.

Class Summary
Cleanup: Uses pegasus-cleanup to do removal of the files on the remote sites.
CleanupFactory: A factory class to load the appropriate type of Code Generator.
CleanupJobContent: A container class that is used to hold the contents for a cleanup job
InPlace: This generates cleanup jobs in the workflow itself.
RM: Use's RM to do removal of the files on the remote sites.

Exception Summary
CleanupFactoryException: Class to notify of failures while instantiating Cleanup Strategy and Implementation classes.